/*
 * pwm.h
 *
 *  Created on: Dec 6, 2025
 *      Author: user
 */

#ifndef INC_PWM_H_
#define INC_PWM_H_
#include <stdbool.h>
bool IsPwmRunning(TIM_HandleTypeDef *htim, uint32_t Channel);;
void StopMot(TIM_HandleTypeDef *htim,uint32_t Channel);
void StartMot(TIM_HandleTypeDef *htim,uint32_t Channel,uint16_t pwmval);
void SetMotPwm(TIM_HandleTypeDef *htim,uint32_t Channel,uint16_t pwmval);
void SetMot(uint8_t mot,uint8_t dir,uint16_t pwmval);

#define timMot1 &htim2
#define FWMot1 TIM_CHANNEL_1
#define BWMot1 TIM_CHANNEL_2

#define timMot2 &htim2
#define FWMot2 TIM_CHANNEL_3
#define BWMot2 TIM_CHANNEL_4

#define timMot3 &htim4
#define FWMot3 TIM_CHANNEL_1
#define BWMot3 TIM_CHANNEL_2

#define timMot4 &htim4
#define FWMot4 TIM_CHANNEL_3
#define BWMot4 TIM_CHANNEL_4

#define FW 0
#define BW 1

#endif /* INC_PWM_H_ */
